// Responsive datatable
table {
  table-layout: auto;
  width: 100% !important;
  td, th {
    width: auto !important;
    white-space: normal;
    text-overflow: ellipsis;
    overflow: hidden;
  }
  // Show action button
  tr {
    &:hover {
      .btn-action-table {
        visibility: visible;
      }
    }
  }
  &.table-striped {
    tbody {
      background-color: $strip-table-color-1;
      color: $gray-color;
      tr {
        &:nth-of-type(odd) {
          background-color: $strip-table-color-2;
        }
      }
    }
  }
}

.top-action-wrapper {
  margin-bottom: 10px;
}

.btn-shadow {
  border-radius: 20px;
  color: $gray-color;
  box-shadow: 1px 2px 10px -5px rgba(0, 0, 0, 0.63);
  background-color: white;
  border: none;
  padding-left: 20px;
  padding-right: 20px;
  &:hover {
    color: $gray-color;
    box-shadow: 1px 3px 16px -3px rgba(0, 0, 0, 0.63);
  }
  // On click
  &.focus {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;

  }
  &.active {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;
  }
}

%servr-shadow {
  border-radius: 20px;
  color: $gray-color;
  box-shadow: 1px 2px 10px -5px rgba(0, 0, 0, 0.63);
  background-color: white;
  border: none;
  padding-left: 20px;
  padding-right: 20px;
}

%servr-button {
  @extend %servr-shadow;
  &:hover {
    color: $gray-color;
    box-shadow: 1px 3px 16px -3px rgba(0, 0, 0, 0.63);
  }
  // On click
  &.focus {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;

  }
  &.active {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;
  }
}

.btn-shadow {
  border-radius: 20px;
  color: $gray-color;
  box-shadow: 1px 2px 10px -5px rgba(0, 0, 0, 0.63);
  background-color: white;
  border: none;
  padding-left: 20px;
  padding-right: 20px;
  &:hover {
    color: $gray-color;
    box-shadow: 1px 3px 16px -3px rgba(0, 0, 0, 0.63);
  }
  // On click
  &.focus {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;

  }
  &.active {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;
  }
}


// Yajra datatable
.dataTables_paginate {
  .pagination {
    #hotelTable_previous {
      .page-link {
        border-radius: 20px 0 0 20px;
      }
    }
    #hotelTable_next {
      .page-link {
        border-radius: 0 20px 20px 0;
      }
    }
  }
}